Package biotransformer.utils

## Class BioTransformerDBBuilder

- java.lang.Object
- - biotransformer.utils.BioTransformerDBBuilder

    public class BioTransformerDBBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
`BioTransformerDBBuilder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `buildBiotransformationList​(java.lang.String reactionOntologyFileName, java.lang.String biotransformationsFileName)`
`void` `buildCYP450ReactionLibrary​(java.lang.String biotransformationsFileName)`
`void` `buildCYPspecificitySDFFileFromDB​(java.lang.String inputFileName, java.lang.String outputFileName)`
`java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>>` `extendChildrenParentAssociations​(java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> cpAssociations)`
`java.util.ArrayList<java.lang.String>` `findAllAncestors​(java.lang.String node, java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> cpPairs)`
`static void` `main​(java.lang.String[] args)`
`void` `updateMetabolicReactions()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BioTransformerDBBuilder

    public BioTransformerDBBuilder()

### Method Detail

#### buildCYPspecificitySDFFileFromDB

    public void buildCYPspecificitySDFFileFromDB​(java.lang.String inputFileName,
                                                 java.lang.String outputFileName)
                                          throws java.io.IOException,
                                                 org.openscience.cdk.exception.CDKException

Throws:
  `java.io.IOException`
  `org.openscience.cdk.exception.CDKException`

#### buildBiotransformationList

    public void buildBiotransformationList​(java.lang.String reactionOntologyFileName,
                                           java.lang.String biotransformationsFileName)
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### buildCYP450ReactionLibrary

    public void buildCYP450ReactionLibrary​(java.lang.String biotransformationsFileName)
                                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### updateMetabolicReactions

    public void updateMetabolicReactions()
                                  throws org.codehaus.jackson.JsonParseException,
                                         org.codehaus.jackson.map.JsonMappingException,
                                         java.io.IOException

Throws:
  `org.codehaus.jackson.JsonParseException`
  `org.codehaus.jackson.map.JsonMappingException`
  `java.io.IOException`

#### findAllAncestors

    public java.util.ArrayList<java.lang.String> findAllAncestors​(java.lang.String node,
                                                                  java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> cpPairs)

#### extendChildrenParentAssociations

    public java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> extendChildrenParentAssociations​(java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> cpAssociations)

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`